org.apache.hadoop.mapred.lib.db

## Class DBInputFormat.DBInputSplit

- java.lang.Object
- - org.apache.hadoop.mapreduce.InputSplit
  - - org.apache.hadoop.mapreduce.lib.db.DBInputFormat.DBInputSplit
    - - org.apache.hadoop.mapred.lib.db.DBInputFormat.DBInputSplit

- All Implemented Interfaces:
    org.apache.hadoop.io.Writable, InputSplit
  Enclosing class:
    DBInputFormat<T extends DBWritable>

      protected static class DBInputFormat.DBInputSplit
      extends DBInputFormat.DBInputSplit
      implements InputSplit

  A InputSplit that spans a set of rows

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBInputSplit()` Default Constructor
    `DBInputSplit(long start, long end)` Convenience Constructor

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.db.DBInputFormat.DBInputSplit

      `getEnd, getLength, getLocations, getStart, readFields, write`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.InputSplit

      `getLocationInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.mapred.InputSplit

      `getLength, getLocations`

    - ### Methods inherited from interface org.apache.hadoop.io.Writable

      `readFields, write`

- - ### Constructor Detail

    - #### DBInputSplit

          public DBInputSplit()

      Default Constructor

    - #### DBInputSplit

          public DBInputSplit(long start,
                              long end)

      Convenience Constructor
      Parameters:
        `start` - the index of the first row to select
        `end` - the index of the last row to select

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.